valentina(1)

NAME
Valentina - Pattern making program.

SYNOPSIS
valentina [options] file

DESCRIPTION
Valentina is a cross-platform patternmaking program which allows designers to create and model patterns of clothing. This software allows pattern creation, using either standard sizing tables or an individual’s set of measurements. It blends new technologies with traditional methods to create a unique pattern making tool.

OPTIONS

-h, --help
    Displays this help.

-v, --version
    Displays version information.

-b, --basename <The base filename of layout files>
    The base filename of exported layout files. Use it to enable console export mode.

-d, --destination <The destination folder>
    The path to output destination folder. By default the directory at which the application was started.

-m, --mfile <The measure file>
    Path to custom measure file (export mode).

-f, --format <Format number>
    Number corresponding to output format (default = 0, export mode):
    * Svg files (*.svg) = 0,
    * PDF files (*.pdf) = 1,
    * Images (*.png) = 2,
    * Wavefront OBJ (*.obj) = 3,
    * PS files (*.ps) = 4,
    * EPS files (*.eps) = 5,
    * DXF files (*.dxf) = 6.

-x, --gsize <The size value>
    Set size value a pattern file, that was opened with standard measurements (export mode). Valid values: 22, 24, 26, 28, 30, 32, 34, 36, 38, 40, 42, 44, 46, 48, 50, 52, 54, 56cm.

-e, --gheight <The height value>
    Set height value a pattern file, that was opened with standard measurements (export mode). Valid values: 92, 98, 104, 110, 116, 122, 128, 134, 140, 146, 152, 158, 164, 170, 176, 182, 188, 194cm.

-p, --pageformat <Template number>
    Number corresponding to page template (default = 0, export mode):
    * A0 = 0,
    * A1 = 1,
    * A2 = 2,
    * A3 = 3,
    * A4 = 4,
    * Letter = 5,
    * Legal = 6,
    * Roll 24in = 7,
    * Roll 30in = 8,
    * Roll 36in = 9,
    * Roll 42in = 10,
    * Roll 44in = 11.

-W, --pagew <The page width>
    Page width in current units like 12.0 (cannot be used with “pageformat”, export mode).

-H, --pageh <The page height>
    Page height in current units like 12.0 (cannot be used with “pageformat”, export mode).

-U, --pageunits <The measure unit>
    Page height/width measure units (cannot be used with “pageformat”, export mode). Valid values: mm, cm, inch, px.

-i, --ignoremargins
    Ignore margins printing (export mode). Disable value keys: “lmargin,“rmargin”,“tmargin”,“bmargin”.Setallmarginsto0."

-L, --lmargin <The left margin>
    Page left margin in current units like 3.0 (export mode). If not set will be used value from default printer. Or 0 if none printers was found. Value will be ignored if key “ignoremargins” is used.

-R, --rmargin <The right margin>
    Page right margin in current units like 3.0 (export mode). If not set will be used value from default printer. Or 0 if none printers was found. Value will be ignored if key “ignoremargins” is used.

-T, --tmargin <The top margin>
    Page top margin in current units like 3.0 (export mode). If not set will be used value from default printer. Or 0 if none printers was found. Value will be ignored if key “ignoremargins” is used.

-B, --bmargin <The bottom margin>
    Page bottom margin in current units like 3.0 (export mode). If not set will be used value from default printer. Or 0 if none printers was found. Value will be ignored if key “ignoremargins” is used.

-r, --rotate <Angle>
    Rotation in degrees (one of predefined, export mode). Default value is 180. 0 is no-rotate. Valid values: 0, 1, 2, 3, 4, 5, 6, 8, 9, 10, 12, 15, 18, 20, 24, 30, 36, 40, 45, 60, 72, 90, 180. Each value show how many times details will be rotated. For example 180 mean two times (360/180=2) by 180 degree.

-c, --crop
    Auto crop unused length (export mode).

-u, --unite
    Unite pages if possible (export mode). Maximum value limited by QImage that supports only a maximum of 32768x32768 px images.

-S, --savelen
    Save length of the sheet if set (export mode). The option tells the program to use as much as possible width of sheet. Quality of a layout can be worse when this option was used.

-l, --layounits <The unit>
    Layout units (as paper's one except px, export mode).

-s, --shiftlen <Shift length>
    Shift layout length measured in layout units (export mode). The option show how many points along edge will be used in creating a layout.

-G, --gapwidth <The gap width>
    The layout gap width x2, measured in layout units (export mode). Set distance between details and a detail and a sheet.

-g, --groups <Grouping type>
    Sets layout groupping cases (export mode):
    * Three groups: big, middle, small = 0,
    * Two groups: big, small = 1,
    * Descending area = 2.

-t, --test
    Run the program in a test mode. The program in this mode loads a single pattern file and silently quit without showing the main window. The key have priority before key “basename”.

Arguments:
    filename - a pattern file.

AUTHOR
This manual page was written by Roman Telezhynskyi <dismine@gmail.com>

SEE ALSO
Full User Manual is availiable in https://bitbucket.org/dismine/valentina/wiki/manual/Content tape(1)